<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Sellerbrand extends Validate
{
    protected $rule = [
        'brand_name'=>'require',
        'brand_initial'=>'require'
    ];
    protected $message = [
        'brand_name.require'=>'品牌名称不能为空',
        'brand_initial.require'=>'请填写首字母'
    ];
    protected $scene = [
        'brand_save' => ['brand_name', 'brand_initial'],
        'brand_edit' => ['brand_name', 'brand_initial'],
    ];
}