<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Sellersns extends Validate
{
    protected $rule = [
        'content'=>'require|length:1,140',
        'goods_url'=>'url'
    ];
    protected $message = [
        'content.require'=>'内容不能为空且不能超过140个字',
        'content.length'=>'内容不能为空且不能超过140个字',
        'goods_url.url'=>'url格式不正确,请输入这正确的格式!'
    ];
    protected $scene = [
        'store_sns_save' => ['content', 'goods_url'],
    ];
}