<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Snsmember extends Validate
{
    protected $rule = [
        'membertag_name'=>'require',
        'membertag_sort'=>'require|number',
    ];
    protected $message = [
        'membertag_name.require'=>'会员标签名称不能为空',
        'membertag_sort.require'=>'会员标签排序只能为数字',
        'membertag_sort.number'=>'会员标签排序只能为数字',
    ];
    protected $scene = [
        'tag_add' => ['membertag_name', 'membertag_sort'],
        'tag_edit' => ['membertag_name', 'membertag_sort'],
    ];
}