<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Mailtemplates extends Validate
{
    protected $rule = [
        'code'=>'require',
        'title'=>'require',
        'content'=>'require',
    ];
    protected $message = [
        'code.require'=>'编号不能为空',
        'title.require'=>'标题不能为空',
        'content.require'=>'正文不能为空',
    ];
    protected $scene = [
        'email_tpl_edit' => ['code','title', 'content'],
    ];
}