<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Notice extends Validate
{
    protected $rule = [
        'user_name'=>'require',
        'content1'=>'require'
    ];
    protected $message = [
        'user_name.require'=>'会员列表不能为空',
        'content1.require'=>'通知内容不能为空'
    ];
    protected $scene = [
        'notice1' => ['user_name'],
        'notice2' => ['content1'],
    ];
}