<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Promotionbooth extends Validate
{
    protected $rule = [
        'promotion_booth_price'=>'require|number|egt:0',
        'promotion_booth_goods_sum'=>'require|number'
    ];
    protected $message = [
        'promotion_booth_price.require'=>'不能为空，且不小于0的整数',
        'promotion_booth_price.number'=>'不能为空，且不小于0的整数',
        'promotion_booth_price.egt'=>'不能为空，且不小于0的整数',
        'promotion_booth_goods_sum.require'=>'不能为空，且不小于1的整数',
        'promotion_booth_goods_sum.number'=>'不能为空，且不小于1的整数'
    ];
    protected $scene = [
        'booth_setting' => ['promotion_booth_price', 'promotion_booth_goods_sum'],
    ];
}