<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Sellerdeposit extends Validate
{
    protected $rule = [
        'pdc_amount'=>'require|float|min:0.01'
    ];
    protected $message = [
        'pdc_amount.require'=>'请填写取出金额|取出金额必须是数字|0.01',
        'pdc_amount.float'=>'请填写取出金额|取出金额必须是数字|0.01',
        'pdc_amount.min'=>'请填写取出金额|取出金额必须是数字|0.01'
    ];
    protected $scene = [
        'withdraw_add' => ['pdc_amount'],
    ];
}