<?php

namespace app\common\validate;


use think\Validate;
/**
 * ============================================================================
 * 
 * ============================================================================
 * 版权所有 2014-2028 浙江惠利玛产业互联网有限公司，并保留所有权利。
 * 网站地址: https://www.valimart.net/
 * ----------------------------------------------------------------------------
 * 
 * ============================================================================
 * 验证器
 */
class  Storesnshome extends Validate
{
    protected $rule = [
        'commentcontent'=>'require|length:0,140',
        'forwardcontent'=>'require|length:0,140',
    ];
    protected $message = [
        'commentcontent.require'=>'需要评论点内容|不能超过140字',
        'commentcontent.length'=>'需要评论点内容|不能超过140字',
        'forwardcontent.require'=>'需要评论点内容|不能超过140字',
        'forwardcontent.length'=>'需要评论点内容|不能超过140字',
    ];
    protected $scene = [
        'addcomment' => ['commentcontent'],
        'addforward' => ['forwardcontent'],
    ];
}